## rust-hwlib 0.9.1

=== debian/changelog ===
rust-hwlib (0.9.1) questing; urgency=medium

  * Add AppArmor profile
  * Remove librust-hwlib-dev deb binary package
  * Replace lsb-release dependency with os-release Rust library
  * Replace dpkg command with Rust ARCH

 -- Nadzeya Hutsko <nadzeya.hutsko@canonical.com>  Thu, 15 May 2025 16:44:17 +0200

rust-hwlib (0.9.0) questing; urgency=medium

  * Package the project for Questing (LP: #2072561)
  * Add integration tests to autopkgtests
  * Update debian/copyright to include vendored dependencies licenses

 -- Nadzeya Hutsko <nadzeya.hutsko@canonical.com>  Thu, 01 May 2025 12:34:53 +0200
