=== debian/control ===
Source: rust-hwlib
Section: rust
Priority: optional
Build-Depends: cargo:native (>= 1.75),
               debhelper (>= 12),
               dh-apparmor,
               dh-cargo (>= 23),
               jq,
               libssl-dev,
               pkgconf,
               python3,
               rustc:native
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders: Nadzeya Hutsko <nadzeya.hutsko@canonical.com>
Standards-Version: 4.7.0
XS-Vendored-Sources-Rust: aho-corasick@1.1.3, anyhow@1.0.98, atomic-waker@1.1.2, autocfg@1.4.0, base64@0.22.1, bitflags@2.9.1, bytes@1.10.1, cc@1.2.25, cfg-if@1.0.0, diff@0.1.13, displaydoc@0.2.5, either@1.15.0, encoding_rs@0.8.35, equivalent@1.0.2, fnv@1.0.7, foreign-types-shared@0.1.1, foreign-types@0.3.2, form_urlencoded@1.2.1, futures-channel@0.3.31, futures-core@0.3.31, futures-sink@0.3.31, futures-task@0.3.31, futures-util@0.3.31, getopts@0.2.21, getrandom@0.2.16, h2@0.4.10, hashbrown@0.15.3, heck@0.5.0, http-body-util@0.1.3, http-body@1.0.1, http@1.3.1, httparse@1.10.1, hyper-rustls@0.27.6, hyper-tls@0.6.0, hyper-util@0.1.13, hyper@1.6.0, icu_collections@2.0.0, icu_locale_core@2.0.0, icu_normalizer@2.0.0, icu_normalizer_data@2.0.0, icu_properties@2.0.1, icu_properties_data@2.0.1, icu_provider@2.0.0, idna@1.0.3, idna_adapter@1.2.1, indexmap@2.9.0, indoc@2.0.6, ipnet@2.11.0, iri-string@0.7.8, itertools@0.14.0, itoa@1.0.15, lazy_static@1.5.0, libc@0.2.172, litemap@0.8.0, log@0.4.27, memchr@2.7.4, memoffset@0.9.1, mime@0.3.17, mio@1.0.4, native-tls@0.2.14, once_cell@1.21.3, openssl-macros@0.1.1, openssl-probe@0.1.6, openssl-sys@0.9.109, openssl@0.10.73, os-release@0.1.0, percent-encoding@2.3.1, pin-project-lite@0.2.16, pin-utils@0.1.0, pkg-config@0.3.32, potential_utf@0.1.2, pretty_assertions@1.4.1, proc-macro2@1.0.95, pyo3-build-config@0.25.0, pyo3-ffi@0.25.0, pyo3-macros-backend@0.25.0, pyo3-macros@0.25.0, pyo3@0.25.0, quote@1.0.40, regex-automata@0.4.9, regex-syntax@0.8.5, regex@1.11.1, reqwest@0.12.18, ring@0.17.14, rustls-pki-types@1.12.0, rustls-webpki@0.103.3, rustls@0.23.27, ryu@1.0.20, serde@1.0.219, serde_derive@1.0.219, serde_json@1.0.140, serde_urlencoded@0.7.1, shlex@1.3.0, simple_test_case@1.3.0, slab@0.4.9, smallvec@1.15.0, smbios-lib@0.9.2, socket2@0.5.10, stable_deref_trait@1.2.0, subtle@2.6.1, syn@2.0.101, sync_wrapper@1.0.2, synstructure@0.13.2, target-lexicon@0.13.2, tinystr@0.8.1, tokio-macros@2.5.0, tokio-native-tls@0.3.1, tokio-rustls@0.26.2, tokio-util@0.7.15, tokio@1.45.1, tower-http@0.6.4, tower-layer@0.3.3, tower-service@0.3.3, tower@0.5.2, tracing-core@0.1.33, tracing@0.1.41, try-lock@0.2.5, unicode-ident@1.0.18, unicode-width@0.1.14, unindent@0.2.4, untrusted@0.9.0, url@2.5.4, utf8_iter@1.0.4, vcpkg@0.2.15, want@0.3.1, writeable@0.6.1, yansi@1.0.1, yoke-derive@0.8.0, yoke@0.8.0, zerofrom-derive@0.1.6, zerofrom@0.1.6, zeroize@1.8.1, zerotrie@0.2.2, zerovec-derive@0.11.1, zerovec@0.11.2
Vcs-Git: https://github.com/canonical/hardware-api.git [client]
Vcs-Browser: https://github.com/canonical/hardware-api/tree/main/client
Homepage: https://github.com/canonical/hardware-api
X-Cargo-Crate: hwlib
Rules-Requires-Root: no

Package: hwctl
Architecture: amd64
Multi-Arch: foreign
Depends: kmod, ${misc:Depends}, ${shlibs:Depends}
Description: Tool for checking Ubuntu hardware certification status - Rust source code
 A command-line interface that checks whether your hardware has been certified
 for use with Ubuntu. It uses the hwlib library to collect system information
 and query Ubuntu's Hardware Certification database.
 .
 The tool provides an easy way to:
  * Check if your exact device model or a similar one is Ubuntu certified
  * See which Ubuntu releases your hardware is certified for
  * Verify the certification status of your system
 .
 This tool is particularly useful for system administrators and users who
 want to verify hardware compatibility with Ubuntu.
