## rust-hwlib 0.9.2

=== debian/changelog ===
rust-hwlib (0.9.2) questing; urgency=medium

  * Remove tokio, regex, itertools, lazy_static Rust dependencies
  * Use minreq crate instead of reqwest and adjust the code
  * Remove the debian/vendor-rust.sh script
  * Remove examples and tests from rust-vendor/ directory
  * Remove debian/compat file and use debhelper-compat in Build-Depends instead
  * Fix AppArmor kmod denied mr mask
  * Update readme and contributing files

 -- Nadzeya Hutsko <nadzeya.hutsko@canonical.com>  Mon, 07 Jul 2025 15:32:12 +0200
