## rust-hwlib 0.9.3+us

=== debian/changelog ===
rust-hwlib (0.9.3+us-0ubuntu1) questing; urgency=medium

  * Package 0.9.3 version of upstream
  * Change package format to quilt

 -- Nadzeya Hutsko <nadzeya.hutsko@canonical.com>  Wed, 23 Jul 2025 14:52:49 +0200
