=== debian/tests/control ===
Test-Command: debian/tests/run-hwctl-tests.sh
Features: test-name=rust-hwlib:hwctl
Depends: jq, python3, @
Restrictions: allow-stderr, isolation-machine, needs-root

Test-Command: aa-status | grep hwctl
Features: test-name=rust-hwlib:apparmor-profile
Depends: apparmor, @
Restrictions: allow-stderr, needs-root
