=== debian/watch ===
version=4
opts="searchmode=plain,\
      repacksuffix=+us,\
      dversionmangle=s/\+us//,\
      repack,\
      compression=gz" \
https://api.github.com/repos/canonical/hardware-api/tags?per_page=50 \
https://api.github.com/repos/canonical/hardware-api/tarball/refs/tags/v(\d+\.\d+\.\d+)
