## rust-hwlib 0.10.0

=== debian/changelog ===
rust-hwlib (0.10.0-0ubuntu1) resolute; urgency=medium

  * Package 0.10.0 version of upstream
    - d/copyright: Update the license to LGPL-3 to match upstream change
    - d/rules: Remove workspace-specific logic since it's not a workspace
      anymore
    - d/p/exclude-rust-vendor-from-workspace.patch: Remove the patch since the
      crate is not a workspace anymore
  * Download orig tarball from crates.io instead of GitHub so we get only
    the contents of the client/ directory
    - d/watch: Update the information regarding downloading the source
    - d/copyright: Remove the Files-Excluded field
    - d/repack_flatten_client.sh: Remove the script
    - d/README.source: Update packaging instructions
  * d/p/exclude-example-from-vendored-deps.patch: Refresh the patch
  * d/copyright: Add Upstream-Contact field and update Upstream-Name

 -- Nadzeya Hutsko <nadzeya.hutsko@canonical.com>  Tue, 21 Oct 2025 15:20:59 +0200
