=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                rustc:native
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Uploaders: Nadzeya Hutsko <nadzeya.hutsko@canonical.com>
-XS-Vendored-Sources-Rust: anstream@0.6.19, anstyle-parse@0.2.7, anstyle-query@1.1.3, anstyle@1.0.11, anyhow@1.0.98, autocfg@1.5.0, bitflags@2.9.1, cc@1.2.30, cfg-if@1.0.1, clap@4.5.41, clap_builder@4.5.41, clap_derive@4.5.41, clap_lex@0.7.5, colorchoice@1.0.4, diff@0.1.13, foreign-types-shared@0.1.1, foreign-types@0.3.2, getopts@0.2.23, heck@0.5.0, indoc@2.0.6, is_terminal_polyfill@1.70.1, itoa@1.0.15, lazy_static@1.5.0, libc@0.2.174, log@0.4.27, memchr@2.7.5, memoffset@0.9.1, minreq@2.14.0, native-tls@0.2.14, once_cell@1.21.3, openssl-macros@0.1.1, openssl-probe@0.1.6, openssl-sys@0.9.109, openssl@0.10.73, os-release@0.1.0, pkg-config@0.3.32, pretty_assertions@1.4.1, proc-macro2@1.0.95, pyo3-build-config@0.25.1, pyo3-ffi@0.25.1, pyo3-macros-backend@0.25.1, pyo3-macros@0.25.1, pyo3@0.25.1, quote@1.0.40, ryu@1.0.20, serde@1.0.219, serde_derive@1.0.219, serde_json@1.0.141, shlex@1.3.0, simple_test_case@1.3.0, smbios-lib@0.9.2, strsim@0.11.1, syn@2.0.104, target-lexicon@0.13.2, unicode-ident@1.0.18, unicode-width@0.2.1, unindent@0.2.4, utf8parse@0.2.2, vcpkg@0.2.15, yansi@1.0.1
+XS-Vendored-Sources-Rust: anstream@0.6.21, anstyle-parse@0.2.7, anstyle-query@1.1.4, anstyle@1.0.13, anyhow@1.0.100, autocfg@1.5.0, bitflags@2.9.4, cc@1.2.41, cfg-if@1.0.4, clap@4.5.49, clap_builder@4.5.49, clap_derive@4.5.49, clap_lex@0.7.6, colorchoice@1.0.4, diff@0.1.13, find-msvc-tools@0.1.4, foreign-types-shared@0.1.1, foreign-types@0.3.2, getopts@0.2.24, heck@0.5.0, indoc@2.0.6, is_terminal_polyfill@1.70.1, itoa@1.0.15, lazy_static@1.5.0, libc@0.2.177, log@0.4.28, memchr@2.7.6, memoffset@0.9.1, minreq@2.14.1, native-tls@0.2.14, once_cell@1.21.3, openssl-macros@0.1.1, openssl-probe@0.1.6, openssl-sys@0.9.110, openssl@0.10.74, os-release@0.1.0, pkg-config@0.3.32, pretty_assertions@1.4.1, proc-macro2@1.0.101, pyo3-build-config@0.26.0, pyo3-ffi@0.26.0, pyo3-macros-backend@0.26.0, pyo3-macros@0.26.0, pyo3@0.26.0, quote@1.0.41, ryu@1.0.20, serde@1.0.228, serde_core@1.0.228, serde_derive@1.0.228, serde_json@1.0.145, shlex@1.3.0, simple_test_case@1.3.0, smbios-lib@0.9.2, strsim@0.11.1, syn@2.0.106, target-lexicon@0.13.3, unicode-ident@1.0.19, unicode-width@0.2.2, unindent@0.2.4, utf8parse@0.2.2, vcpkg@0.2.15, yansi@1.0.1
 Vcs-Git: https://github.com/canonical/hardware-api.git [client]
 Standards-Version: 4.7.2
 Vcs-Browser: https://github.com/canonical/hardware-api/tree/main/client
