## rust-hwlib 0.10.1

=== debian/changelog ===
rust-hwlib (0.10.1-0ubuntu1) resolute; urgency=medium

  * Package 0.10.1 version of upstream
    - d/rules: Add --all-features flag to override_dh_auto_test and
      override_dh_auto_install because upstream hides hwctl behind cli feature

 -- Pedro Avalos Jimenez <pedro.avalosjimenez@canonical.com>  Fri, 31 Oct 2025 09:55:53 -0400
