=== debian/rules ===
--- 
+++ 
@@ -53,10 +53,10 @@
 	tar --sort=name --mtime=@0 --owner=0 --group=0 --numeric-owner --pax-option=exthdr.name=%d/PaxHeaders/%f,delete=atime,delete=ctime -caf ../$(VENDOR_TARBALL) $(CARGO_VENDOR_DIR)
 
 override_dh_auto_test:
-	/usr/share/cargo/bin/cargo test --offline
+	/usr/share/cargo/bin/cargo test --all-features --offline
 
 override_dh_auto_install:
-	dh_auto_install
+	dh_auto_install -- --all-features
 	# Install the AppArmor profile
 	mkdir -p $(PKG_HWCTL)/etc/apparmor.d/
 	cp debian/usr.bin.hwctl $(PKG_HWCTL)/etc/apparmor.d/usr.bin.hwctl
