## rust-hwlib 0.11.0

=== debian/changelog ===
rust-hwlib (0.11.0-0ubuntu1) resolute; urgency=medium

  * New upstream version 0.11.0
    - Update rust-vendor/ dir and XS-Vendored-Sources-Rust header
  * debian/rules: Use pkg-info.mk for version variables and remove redundant
    includes
  * d/watch: Update file format to version 5

 -- Nadzeya Hutsko <nadzeya.hutsko@canonical.com>  Wed, 17 Dec 2025 19:37:32 +0100
