=== debian/control ===
Source: rust-hwlib
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
               debhelper-compat (= 13),
               dh-apparmor,
               dh-cargo (>= 23),
               cargo:native (>= 1.75),
               libssl-dev,
               pkgconf,
               python3,
               rustc:native
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders: Nadzeya Hutsko <nadzeya.hutsko@canonical.com>
XS-Vendored-Sources-Rust: anstream@0.6.21, anstyle-parse@0.2.7, anstyle-query@1.1.5, anstyle@1.0.13, anyhow@1.0.100, autocfg@1.5.0, bitflags@2.10.0, cc@1.2.49, cfg-if@1.0.4, clap@4.5.53, clap_builder@4.5.53, clap_derive@4.5.49, clap_lex@0.7.6, colorchoice@1.0.4, diff@0.1.13, find-msvc-tools@0.1.5, foreign-types-shared@0.1.1, foreign-types@0.3.2, getopts@0.2.24, heck@0.5.0, indoc@2.0.7, is_terminal_polyfill@1.70.2, itoa@1.0.15, lazy_static@1.5.0, libc@0.2.178, log@0.4.29, memchr@2.7.6, memoffset@0.9.1, minreq@2.14.1, native-tls@0.2.14, once_cell@1.21.3, openssl-macros@0.1.1, openssl-probe@0.1.6, openssl-sys@0.9.111, openssl@0.10.75, os-release@0.1.0, pkg-config@0.3.32, pretty_assertions@1.4.1, proc-macro2@1.0.103, pyo3-build-config@0.27.2, pyo3-ffi@0.27.2, pyo3-macros-backend@0.27.2, pyo3-macros@0.27.2, pyo3@0.27.2, quote@1.0.42, rustversion@1.0.22, ryu@1.0.20, serde@1.0.228, serde_core@1.0.228, serde_derive@1.0.228, serde_json@1.0.145, shlex@1.3.0, simple_test_case@1.3.0, smbios-lib@0.9.2, strsim@0.11.1, syn@2.0.111, target-lexicon@0.13.3, unicode-ident@1.0.22, unicode-width@0.2.2, unindent@0.2.4, utf8parse@0.2.2, vcpkg@0.2.15, yansi@1.0.1
Vcs-Git: https://github.com/canonical/hardware-api.git [client]
Standards-Version: 4.7.2
Vcs-Browser: https://github.com/canonical/hardware-api/tree/main/client
Homepage: https://github.com/canonical/hardware-api
X-Cargo-Crate: hwlib
Rules-Requires-Root: no

Package: hwctl
Architecture: amd64
Multi-Arch: foreign
Depends: kmod, ${misc:Depends}, ${shlibs:Depends}
Description: Tool for checking Ubuntu hardware certification status - Rust source code
 A command-line interface that checks whether your hardware has been certified
 for use with Ubuntu. It uses the hwlib library to collect system information
 and query Ubuntu's Hardware Certification database.
 .
 The tool provides an easy way to:
  * Check if your exact device model or a similar one is Ubuntu certified
  * See which Ubuntu releases your hardware is certified for
  * Verify the certification status of your system
 .
 This tool is particularly useful for system administrators and users who
 want to verify hardware compatibility with Ubuntu.
