=== debian/rules ===
--- 
+++ 
@@ -1,19 +1,10 @@
 #!/usr/bin/make -f
 
-# Defines DEB_*_RUST_TYPE triples
-include /usr/share/dpkg/architecture.mk
-include /usr/share/dpkg/buildflags.mk
-include /usr/share/rustc/architecture.mk
-export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
-export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
+include /usr/share/dpkg/pkg-info.mk
 
 export CARGO_HOME = $(CURDIR)/debian/cargo_home
 export CARGO_VENDOR_DIR = rust-vendor
-VERSION := $(shell dpkg-parsechangelog -S Version|sed -e "s|.*~\(.*\)-.*|\1|g")
-UPSTREAM_VERSION := $(shell dpkg-parsechangelog -S Version|cut -d- -f1)
-VENDOR_TARBALL = rust-hwlib_$(UPSTREAM_VERSION).orig-$(CARGO_VENDOR_DIR).tar.xz
-# Enable debug symbols to avoid debug-file-with-no-debug-symbols warning
-export CARGO_PROFILE_RELEASE_DEBUG=1
+VENDOR_TARBALL = rust-hwlib_$(DEB_VERSION_UPSTREAM).orig-$(CARGO_VENDOR_DIR).tar.xz
 
 CARGO_TARGET_DIR = $(CURDIR)/target
 PKG_HWCTL = $(CURDIR)/debian/hwctl
@@ -53,7 +44,7 @@
 	tar --sort=name --mtime=@0 --owner=0 --group=0 --numeric-owner --pax-option=exthdr.name=%d/PaxHeaders/%f,delete=atime,delete=ctime -caf ../$(VENDOR_TARBALL) $(CARGO_VENDOR_DIR)
 
 override_dh_auto_test:
-	/usr/share/cargo/bin/cargo test --all-features --offline
+	dh_auto_test -- test --all-targets --all-features
 
 override_dh_auto_install:
 	dh_auto_install -- --all-features
